# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`git`](#git): Sets up requirements for git

**Defined types**

* [`git::repo`](#gitrepo): Check out a git repository

## Classes

### git

Sets up requirements for git

* **See also**
git::repo
on how to use this module.

#### Examples

##### Override the git version

```puppet
class { 'git':
  package_ensure => '2.1.0',
}
```

#### Parameters

The following parameters are available in the `git` class.

##### `bin`

Data type: `Any`

The path to the git binary

Default value: `undef`

##### `package`

Data type: `Any`

Override the name of the git package(s) to include.

Default value: `undef`

##### `package_ensure`

Data type: `Any`

Override the git package ensure

Default value: `undef`

## Defined types

### git::repo

Check out a git repository

#### Examples

##### Clone a git repository

```puppet
git::repo {'mygit':
  target => '/home/user/puppet-git',
  source => 'https://github.com/theforeman/puppet-git.git',
  user   => 'user',
}
```

#### Parameters

The following parameters are available in the `git::repo` defined type.

##### `target`

Data type: `String`

Target folder

##### `bare`

Data type: `Boolean`

Create a bare repository

Default value: `false`

##### `source`

Data type: `Optional[String]`

Source to clone from. If not specified, no remote will be used.

Default value: `undef`

##### `user`

Data type: `String`

Owner of the repository

Default value: 'root'

##### `group`

Data type: `String`

Group of the repository

Default value: 'root'

##### `mode`

Data type: `String`

Mode of the repository root

Default value: '0755'

##### `workdir`

Data type: `Stdlib::Absolutepath`

The working directory while executing git

Default value: '/tmp'

##### `args`

Data type: `Optional[String]`

Optional arguments to the git command

Default value: `undef`

##### `bin`

Data type: `String`

Git binary

Default value: $git::bin

