# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

_Public Classes_

* [`tftp`](#tftp): Installs and configures a TFTP server

_Private Classes_

* `tftp::config`: Configure TFTP
* `tftp::install`: Install TFTP
* `tftp::service`: TFTP service

## Classes

### tftp

TFTP server class

This class installs and configures a TFTP server, supporting both standalone
daemons and xinetd-based TFTP servers.

#### Examples

##### Simple usage

```puppet
include tftp
```

##### Configure a TFTP server with a non-default root directory

```puppet
class { 'tftp':
  root => '/tftpboot',
}
```

##### Configure a TFTP server with non-default package name

```puppet
class { 'tftp:'
  package => 'tftp-hpa-destruct',
}
```

#### Parameters

The following parameters are available in the `tftp` class.

##### `root`

Data type: `Stdlib::Absolutepath`

Configures the root directory for the TFTP server

##### `package`

Data type: `String`

Name of the TFTP server package

##### `syslinux_package`

Data type: `Variant[String, Array[String]]`

Name of the syslinux package, essential for pxe boot

##### `daemon`

Data type: `Boolean`

Runs a TFTP service when true, configures xinetd when false

##### `manage_root_dir`

Data type: `Boolean`

manages the root dir, which tftpd will serve, defaults to true

##### `map_source`

Data type: `String`

The source URL of the mapping file

##### `service`

Data type: `Optional[String]`

Name of the TFTP service, when daemon is true

Default value: `undef`

##### `service_provider`

Data type: `Optional[String]`

Override TFTP service provider, when daemon is true

Default value: `undef`

